Bug 442075 - g-u-s triggers PackageKit
g-u-s triggers PackageKit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9PKBlocker
  Show dependency treegraph
 
Reported: 2008-04-11 12:11 EDT by Bill Nottingham
Modified: 2015-01-14 18:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-12 16:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-11 12:11:17 EDT
How To Reproduce:

1. Boot LiveCD
2. Click the gdm-user-switch applet, which pops up GDM
3. Choose 'Automatic Login' (which will switch you back to your active session)

gpk-update-icon then appears and does some stuff (Getting updates, according to
right-clicking on it), before disappearing again.

1. I thought we were disabling this on the livecd
2. Why would fast-user-switching trigger it?

Version-Release number of selected component (if applicable):

gdm-user-switch-applet-2.21.10-0.2008.04.08.4.fc9
gnome-packagekit-0.1.11-3.fc9
Comment 1 Jeremy Katz 2008-04-11 13:57:56 EDT
We're doing 
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults
-s -t string /apps/gnome-packagekit/frequency_get_updates never >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults
-s -t string /apps/gnome-packagekit/frequency_refresh_cache never >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults
-s -t bool /apps/gnome-packagekit/notify_available false >/dev/null

But these may be being ignored (see bug 441127)
Comment 2 Matthias Clasen 2008-04-11 17:46:09 EDT
The "never" setting isn't working. 

I've committed a fix upstream, should appear in the next update.
Comment 3 Matthias Clasen 2008-04-12 16:42:33 EDT
Should be fixed in rawnide now.

Note You need to log in before you can comment on or make changes to this bug.